package com.mortals.xhx.module.customer.model.vo;
import com.alibaba.fastjson.JSONObject;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
/**
* 客户作品信息视图对象
*
* @author zxfei
* @date 2022-06-14
*/
@Data
public class CustomerWorkDesignVo extends BaseEntityLong {

    private String createTimeStr;
    private String updateTimeStr;
    /** 设计内容 */
    private List<JSONObject> designContent;
    /** 发布模板名称 */
    private String masterplateName;
    /** 发布模板封面 */
    private String frontCover;
    /** 模板id */
    private Long masterplateId;
    /**
     * 版式。1：横版2竖版默认：1
     */
    private Integer plateType;
}